import request from '@/utils/request'

// 查询优惠券模板列表
export function listCouponTemplate(query) {
  return request({
    url: '/shop/couponTemplate/list',
    method: 'get',
    params: query
  })
}

// 查询优惠券模板详细
export function getCouponTemplate(id) {
  return request({
    url: '/shop/couponTemplate/' + id,
    method: 'get'
  })
}

// 新增优惠券模板
export function addCouponTemplate(data) {
  return request({
    url: '/shop/couponTemplate',
    method: 'post',
    data: data
  })
}

// 修改优惠券模板
export function updateCouponTemplate(data) {
  return request({
    url: '/shop/couponTemplate',
    method: 'put',
    data: data
  })
}

// 删除优惠券模板
export function delCouponTemplate(id) {
  return request({
    url: '/shop/couponTemplate/' + id,
    method: 'delete'
  })
}
